Subject: bug#7745: 23.1; dragging the scrollbar selects a text region

From: Jan Djärv <[email-masked]>
Date: Tue, 28 Dec 2010 13:17:00 +0100

This has been fixed in bug #6854:

This is a known problem with Emacs 23.1 and newer Gtk+ versions, it has been 
fixed in 23.2.

You can set GDK_NATIVE_WINDOWS to 1 in your environment, or just for Emacs:

% GDK_NATIVE_WINDOWS=1 emacs ...

to work around it if you can't upgrade to 23.2.

	Jan D.

Oleksandr Manzyuk skrev 2010-12-27 22.52:
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
>
> Your bug report will be posted to the [email-masked] mailing list,
> and to the gnu.emacs.bug news group.
>
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
>
> In the X version of Emacs, if I right-click the scrollbar, drag it,
> and then release it, a region between the point before the drag and
> after the drag gets selected.  It must not.  Tested with `emacs -Q`.
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>      `bt full' and `xbacktrace'.
> If you would like to further debug the crash, please read the file
> /usr/share/emacs/23.1/etc/DEBUG for instructions.
>
>
> In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
>   of 2010-11-23 on yellow, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.10706000
> configured using `configure  '--build=x86_64-linux-gnu'
> '--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
> '--libexecdir=/usr/lib' '--localstatedir=/var/lib'
> '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
> '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
> '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
> 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
> 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_US.utf8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default-enable-multibyte-characters: t
>
> Major mode: Org
>
> Minor modes in effect:
>    tooltip-mode: t
>    mouse-wheel-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    global-auto-composition-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>    transient-mark-mode: (only . t)
>
> Recent input:
> M-x s c r o l l SPC b a r SPC m o d e<return>  M-x
> <up>  <return>  C-x C-f t e<tab>  <return>  C-x C-f b
> i t t . o r<tab>  <return>  <S-iso-lefttab>  <S-iso-lefttab>
> <S-iso-lefttab>  <down-mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <drag-mouse-1>  <down-mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <drag-mouse-1>  <down-mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <drag-mouse-1>
> <down-mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <drag-mouse-1>
> <down-mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <drag-mouse-1>  <down-mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>  <mouse-1>
> <mouse-1>  <drag-mouse-1>  M-x r e p o r t - e m a c
> s SPC<tab>  <return>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> OVERVIEW [2 times]
> CONTENTS...done
> SHOW ALL
> Mark set [6 times]
>
>